Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226230 - python-linuxdoc: FTBFS in Fedora rawhide/f39
Summary: python-linuxdoc: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-linuxdoc
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 19:26 UTC by Fedora Release Engineering
Modified: 2023-09-18 01:24 UTC (History)
1 user (show)

Fixed In Version: python-linuxdoc-20230827-1.fc40 python-linuxdoc-20230827-1.fc39 python-linuxdoc-20230827-1.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-09 17:43:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 19:26 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 19:26 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 19:26 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 19:26:02 UTC
python-linuxdoc failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103686199


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix python-linuxdoc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-linuxdoc will be orphaned. Before branching of Fedora 40,
python-linuxdoc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 19:26:06 UTC
Created attachment 1979080 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 19:26:10 UTC
Created attachment 1979081 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 19:26:12 UTC
Created attachment 1979082 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 08:01:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Update System 2023-09-09 17:41:32 UTC
FEDORA-2023-02bfb71491 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-02bfb71491

Comment 6 Fedora Update System 2023-09-09 17:43:40 UTC
FEDORA-2023-02bfb71491 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-09-09 17:43:51 UTC
FEDORA-2023-972697de2f has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-972697de2f

Comment 8 Fedora Update System 2023-09-09 17:50:19 UTC
FEDORA-2023-135f81a1b5 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-135f81a1b5

Comment 9 Fedora Update System 2023-09-10 01:51:35 UTC
FEDORA-2023-972697de2f has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-972697de2f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-972697de2f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-09-10 02:16:27 UTC
FEDORA-2023-135f81a1b5 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-135f81a1b5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-135f81a1b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-09-15 18:56:15 UTC
FEDORA-2023-972697de2f has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-09-18 01:24:51 UTC
FEDORA-2023-135f81a1b5 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.